# a (Add) command

Adds files to archive.

#### Examples

    7z a -tzip archive.zip subdir\*

adds all files from directory subdir to archive archive.zip.

    7z a -tzip Files.zip "Program files\*"

adds all files from directory Program to archive Files.zip.

#### Switches that can be used with this command

-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-sfx (create SFX)
-si (use StdIn)
-so (use StdOut)
-t (Type of archive)
-u (Update)
-v (Volumes)
-w (Working Dir)
-x (Exclude)

#### See also

Commands: d (Delete), u (Update)
Switches: -u (Update)